/* PORTFOLIO */
.portfolio_container {
  overflow: initial;
}

.portfolio_content {
  padding: 0 2.5rem;
}

.portfolio_img {
  width: 256px;
  border-radius: 0.5rem;
  justify-self: center;
}

.portfolio_title {
  font-size: var(--h3-font-size);
  margin-bottom: var(--mb-0-5);
}

.portfolio_description {
  margin-bottom: var(--mb-0-75);
}

.portfolio_button:hover .button_icon {
  transform: translateX(0.25rem);
}

.swiper-button-prev::after,
.swiper-button-next::after {
  content: "";
}

.swiper-portfolio-icon {
  font-size: 2rem;
  color: var(--first-color);
}

.swiper-button-prev {
  left: -0.5rem;
}

.swiper-button-next {
  right: -0.5rem;
}

.swiper-horizontal > .swiper-pagination-bullets {
  bottom: -2.5rem;
}

.swiper-pagination-bullet-active {
  background-color: var(--first-color);
}

.swiper-button-prev,
.swiper-button-next,
.swiper-pagination-bullet {
  outline: none;
}

/* MEDIA QUERIES */

/* For small devices */
@media screen and (max-width: 350px) {
  .portfolio_img {
    width: 200px;
  }
}

/* For medium devices */
@media screen and (min-width: 568px) {
  .portfolio_content {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media screen and (min-width: 768px) {
  .portfolio_img {
    width: 320px;
  }

  .portfolio_content {
    align-items: center;
  }
}

/* For large devices */
@media screen and (min-width: 1024px) {
  .portfolio_content {
    column-gap: 5rem;
  }

  .swiper-portfolio-icon {
    font-size: 3.5rem;
  }

  .swiper-button-prev {
    left: -3.5rem;
  }

  .swiper-button-next {
    right: -3.5rem;
  }

  .swiper-container-horizontal > .swiper-pagination-bullets {
    bottom: -4.5rem;
  }
}